# File: `CollectionsDB.cpp`

## Classes

- `CollectionItem`
- `CollectionRewardItem`
- `CollectionItem`
- `CollectionItem`

## Functions

- `void WorldDatabase::LoadCollections()`
- `int32 WorldDatabase::LoadCollectionItems(Collection *collection)`
- `int32 WorldDatabase::LoadCollectionRewards(Collection *collection)`
- `else if (!strcasecmp(row[0], "Selectable"))`
- `else if (!strcasecmp(row[0], "Coin"))`
- `else if (!strcasecmp(row[0], "XP"))`
- `void WorldDatabase::LoadPlayerCollections(Player *player)`
- `void WorldDatabase::LoadPlayerCollectionItems(Player *player, Collection *collection)`
- `void WorldDatabase::SavePlayerCollections(Client *client)`
- `void WorldDatabase::SavePlayerCollection(Client *client, Collection *collection)`
- `void WorldDatabase::SavePlayerCollectionItems(Client *client, Collection *collection)`
- `void WorldDatabase::SavePlayerCollectionItem(Client *client, Collection *collection, int32 item_id)`

## Notable Comments

- /*
- */
- //assert(item);
